=== am/CMakeLists.txt ===
install(PROGRAMS
  checklog
  cmake-pkg-config
  documentation
  doxygen
  global-rules
  headercheck
  inkscape.am
  latex
  no-check-without-lib
  sourcescheck
  top-rules
  webstuff
  DESTINATION ${CMAKE_INSTALL_DATADIR}/dune-common/am
)
