=== bin/CMakeLists.txt ===
install(PROGRAMS
  am2cmake.py
  dunedoxynize
  duneproject
  dunecontrol
  git-whitespace-hook
  mpi-config
  dune-autogen
  DESTINATION ${CMAKE_INSTALL_BINDIR})
