=== lib/CMakeLists.txt ===
install(FILES dunemodules.lib dunecommonam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)
