=== m4/CMakeLists.txt ===
install(PROGRAMS
        acx_blas.m4
        acx_lapack.m4
        acx_mpi.m4
        acx_pthread.m4
        ax_boost_base.m4
        ax_check_gl.m4
        ax_lang_compiler_ms.m4
        boost_fusion.m4
        cxx11_compiler.m4
        cxx11_is_indexable_support.m4
        cxx0x_nullptr.m4
        cxx11_constexpr.m4
        cxx11_final.m4
        cxx11_range_based_for.m4
        cxx11_std_declval.m4
        dune.m4
        dune_all.m4
        dune_autobuild.m4
        dune_boost_base.m4
        dune_check_lib.m4
        dune_common.m4
        dune_compiler.m4
        dune_cxa_demangle.m4
        dune_fortran.m4
        dune_deprecated.m4
        dune_docu.m4
        dune_linkcxx.m4
        dune_mpi.m4
        dune_stdthread.m4
        dune_streams.m4
        dune_unused.m4
        fortran_overwrite.m4
        gmp.m4
        hdf5.m4
        immdx_lib_metis.m4
        inkscape.m4
        mprotect.m4
        mpi-config.m4
        opengl.m4
        parmetis.m4
        umfpack.m4
        xdr.m4
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/aclocal
)
