=== share/CMakeLists.txt ===
add_subdirectory("bash-completion")
