=== doc/doxygen/CMakeLists.txt ===
# quickhack for creating the Doxyfile.in and Doxyfile
add_doxygen_target()
install(FILES Doxystyle DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune-common/doc/doxygen)
