=== debian/changelog ===
dune-common (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Mark libdune-common-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:19:18 +0100

dune-common (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 13:18:16 +0100
