=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in am bin cmake dune lib m4 share; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg
