## dune-common 2.5.0

=== debian/changelog ===
dune-common (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 12:58:14 +0100

dune-common (2.5.0~rc2-2) unstable; urgency=medium

  * Add Breaks+Replaces: libdune-functions-dev (<< 2.5.0~)
    (Closes: #847142)

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:41:24 +0100

dune-common (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * dune-debian.mk: Restore variable for configure options.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:09:55 +0100

dune-common (2.5.0~rc1-3) experimental; urgency=medium

  * Call dh_sphinxdoc only when building arch-indep packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 22 Nov 2016 21:12:02 +0100

dune-common (2.5.0~rc1-2) experimental; urgency=medium

  * Patch: Add correct offset for end of chunk
    This should fix the build failure on 32bit architectures.
    + 0001-Add-correct-offset-for-end-of-chunk.patch
  * Use dh_sphinxdoc.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 22 Nov 2016 20:21:37 +0100

dune-common (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake.
  * dune-debian.mk: Simplify running tests.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:37:38 +0100
