=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf, python3-sphinx
 
 Package: libdune-common-dev
 Section: libdevel
@@ -17,7 +17,9 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
  pkg-config, python, python-pyparsing
-Recommends: automake, autoconf, libtool
+Breaks: libdune-functions-dev (<< 2.5.0~)
+Replaces: libdune-functions-dev (<< 2.5.0~)
+Recommends: cmake, python3
 Suggests: libdune-common-dbg (= ${binary:Version}),
  libdune-common-doc (= ${source:Version})
 Provides: ${dune:shared-library}
@@ -47,7 +49,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
