=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_CTEST := $(CURDIR)/bin/dune-ctest
DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_install-arch:
	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook
	dh_install -a

override_dh_installdocs-indep:
	dh_installdocs
	dh_sphinxdoc

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg
