=== bin/CMakeLists.txt ===
install(PROGRAMS
  am2cmake.py
  dune-ctest
  duneproject
  dunecontrol
  git-whitespace-hook
  dune-remove-autotools
  DESTINATION ${CMAKE_INSTALL_BINDIR})
