=== cmake/modules/CMakeLists.txt ===
install(FILES
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddSuiteSparseFlags.cmake
  AddUMFPackFlags.cmake
  AddVcFlags.cmake
  CheckCXXFeatures.cmake
  CheckForPthreads.c
  CMakeBuiltinFunctionsDocumentation.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePathHelper.cmake
  DunePkgConfig.cmake
  DuneSphinxCMakeDoc.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindSphinx.cmake
  FindSuiteSparse.cmake
  FindThreadsCMake31.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLATEX.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})
