=== dune/common/std/CMakeLists.txt ===
install(
  FILES
  apply.hh
  constexpr.hh
  final.hh
  noexcept.hh
  make_array.hh
  memory.hh
  type_traits.hh
  utility.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)
