=== share/bash-completion/completions/CMakeLists.txt ===
install(FILES
  dunecontrol
  DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/
)
