=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 override_dh_installdocs-indep:
 	dh_installdocs
 	dh_sphinxdoc
-
-override_dh_strip:
-	dh_strip --dbg-package=libdune-common-dbg
