=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -7,17 +7,23 @@
   AddUMFPackFlags.cmake
   AddVcFlags.cmake
   CheckCXXFeatures.cmake
-  CheckForPthreads.c
   CMakeBuiltinFunctionsDocumentation.cmake
   DuneCommonMacros.cmake
   DuneCxaDemangle.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
   DuneEnableAllPackages.cmake
+  DuneExecuteProcess.cmake
   DuneMacros.cmake
   DuneMPI.cmake
   DunePathHelper.cmake
   DunePkgConfig.cmake
+  DunePythonCommonMacros.cmake
+  DunePythonFindPackage.cmake
+  DunePythonInstallPackage.cmake
+  DunePythonRequireVersion.cmake
+  DunePythonTestCommand.cmake
+  DunePythonVirtualenv.cmake
   DuneSphinxCMakeDoc.cmake
   DuneStreams.cmake
   DuneSymlinkOrCopy.cmake
@@ -30,7 +36,7 @@
   FindPTScotch.cmake
   FindSphinx.cmake
   FindSuiteSparse.cmake
-  FindThreadsCMake31.cmake
+  FindTBB.cmake
   FindUMFPack.cmake
   Headercheck.cmake
   LanguageSupport.cmake
