=== dune/common/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,13 @@
   set(_additional_libs ${BLAS_LIBRARIES})
 endif(LAPACK_FOUND)
 
+if(HAVE_MPROTECT)
+  set(debugallocator_src "debugallocator.cc")
+endif(HAVE_MPROTECT)
+
 dune_add_library("dunecommon"
-  debugallocator.cc
+  debugalign.cc
+  ${debugallocator_src}
   dynmatrixev.cc
   exceptions.cc
   fmatrixev.cc
@@ -22,11 +27,14 @@
   stdthread.cc
   ADD_LIBS "${_additional_libs}")
 
+add_dune_tbb_flags(dunecommon)
 #install headers
 install(FILES
         alignment.hh
+        alignedallocator.hh
         array.hh
         arraylist.hh
+        assertandreturn.hh
         bartonnackmanifcheck.hh
         bigunsignedint.hh
         binaryfunctions.hh
@@ -35,6 +43,7 @@
         classname.hh
         concept.hh
         conditional.hh
+        debugalign.hh
         debugallocator.hh
         debugstream.hh
         deprecated.hh
@@ -48,6 +57,7 @@
         dynvector.hh
         enumset.hh
         exceptions.hh
+        filledarray.hh
         float_cmp.cc
         float_cmp.hh
         fmatrix.hh
@@ -68,6 +78,7 @@
         ios_state.hh
         iteratorfacades.hh
         iteratorrange.hh
+        keywords.hh
         lcm.hh
         lru.hh
         mallocallocator.hh
@@ -102,6 +113,7 @@
         typetraits.hh
         typeutilities.hh
         unused.hh
+        vc.hh
         version.hh
         visibility.hh
 DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)
