=== share/bash-completion/CMakeLists.txt ===
add_subdirectory("completions")
