=== dune/common/std/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
   noexcept.hh
   make_array.hh
   memory.hh
+  optional.hh
   type_traits.hh
   utility.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)
