=== debian/changelog ===
dune-common (2.6.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:03:00 +0100

dune-common (2.6.0-4) unstable; urgency=medium

  * no longer ship dune-am2cmake and remove dependency on python2.
    (Closes: #936456)
  * Bumped Standards-Version to 4.4.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Oct 2019 23:27:35 +0200

dune-common (2.6.0-3) unstable; urgency=medium

  * Add runtime dependency on gfortran. Configuring a DUNE project without
    a Fortran compiler fails.
  * autopkgtest: Add dependency on MPI as the test builds and runs an MPI
    program.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 09:17:17 +0200

dune-common (2.6.0-2) unstable; urgency=medium

  * Add a simple autopkgtest.  The driver (dune-autopkgtest) is also
    usable by other DUNE modules.
  * Promote CMake from Recommends to Depends.
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 20 Jun 2018 23:37:32 +0200

dune-common (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 00:20:33 +0200

dune-common (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Jan 2018 15:50:50 +0100

dune-common (2.6~20171122-1) experimental; urgency=medium

  * New upstream snapshot (commit: 77b87e7c3931fc70f46be2e4cae7058127c92edf).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 22 Nov 2017 17:38:48 +0100

dune-common (2.6~20171113-2) experimental; urgency=medium

  * arithmetictestsuite: quotient must be representable without error.
    This should correct the build failure on i386.
    + new patch: 0001-quotient-must-be-representable-without-error.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 08:01:05 +0100

dune-common (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * d/get-orig-source: no longer include Git commit id in snapshot versions
  * libdune-common-doc: add Built-Using: doxygen (for jquery.js).
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 00:12:14 +0100
