=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-common
+Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
+Rules-Requires-Root: no
 
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- pkg-config, python, python-pyparsing
+ cmake (>= 3.1), gfortran, pkg-config
 Breaks: libdune-functions-dev (<< 2.5.0~)
 Replaces: libdune-functions-dev (<< 2.5.0~)
-Recommends: cmake, python3
+Recommends: python3
 Suggests: libdune-common-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- basic classes (development files)
@@ -35,6 +36,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
