=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DUNE_DEBIAN_ENV := $(CURDIR)/debian/dune-debian.env
 DUNE_CTEST := $(CURDIR)/bin/dune-ctest
 DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
 include debian/dune-debian.mk
@@ -13,7 +14,7 @@
 	dh_auto_build -- doc
 
 override_dh_install-arch:
-	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
+	rm -f debian/tmp/usr/bin/am2cmake.py
 	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook
 	dh_install -a
